package cn.superdesk.uniorder.dao.mapper.thirdpart.szhtxx.electronicInvoice;

import cn.superdesk.uniorder.dao.entity.thirdpart.szhtxx.electronicInvoice.SzhtxxElectronicInvoiceFptxx;
import cn.superdesk.uniorder.dao.entity.thirdpart.szhtxx.electronicInvoice.SzhtxxElectronicInvoiceFptxxExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SzhtxxElectronicInvoiceFptxxMapper {

    long countByExample(SzhtxxElectronicInvoiceFptxxExample example);

    int deleteByExample(SzhtxxElectronicInvoiceFptxxExample example);

    int deleteByPrimaryKey(Long id);

    int insert(SzhtxxElectronicInvoiceFptxx record);

    int insertSelective(SzhtxxElectronicInvoiceFptxx record);

    List<SzhtxxElectronicInvoiceFptxx> selectByExample(SzhtxxElectronicInvoiceFptxxExample example);

    SzhtxxElectronicInvoiceFptxx selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") SzhtxxElectronicInvoiceFptxx record, @Param("example") SzhtxxElectronicInvoiceFptxxExample example);

    int updateByExample(@Param("record") SzhtxxElectronicInvoiceFptxx record, @Param("example") SzhtxxElectronicInvoiceFptxxExample example);

    int updateByPrimaryKeySelective(SzhtxxElectronicInvoiceFptxx record);

    int updateByPrimaryKey(SzhtxxElectronicInvoiceFptxx record);
}